org.gradle.api.tasks

## Interface TaskPropertyBuilder

- All Known Subinterfaces:
    TaskFilePropertyBuilder, TaskInputFilePropertyBuilder, TaskOutputFilePropertyBuilder

      @Incubating
      public interface TaskPropertyBuilder

  Describes a property of a task.
  Since:
    3.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskPropertyBuilder` | `withPropertyName(String propertyName)` Sets the name for this property.

- - ### Method Detail

    - #### withPropertyName

          TaskPropertyBuilder withPropertyName(String propertyName)

      Sets the name for this property. The name must be a valid Java identifier, or a series of valid Java identifiers separated with dots ('.').

      If the method is not called, or if it is called with `null`, a name will be assigned to the property automatically.